python2-uwsgidecorators-2.0.17.1-5.fc28.i686.rpm


Advertisement

Description

python2-uwsgidecorators - Python 2 decorators providing access to the uwsgi API

Property Value
Distribution Fedora 28
Repository Fedora Updates i386
Package filename python2-uwsgidecorators-2.0.17.1-5.fc28.i686.rpm
Package name python2-uwsgidecorators
Package version 2.0.17.1
Package release 5.fc28
Package architecture i686
Package type rpm
Homepage https://github.com/unbit/uwsgi
License GPLv2 with exceptions
Maintainer -
Download size 31.18 KB
Installed size 33.40 KB
The uwsgidecorators Python 2 module provides higher-level access to the uWSGI API.

Alternatives

Package Version Architecture Repository
python2-uwsgidecorators-2.0.17.1-5.fc28.x86_64.rpm 2.0.17.1 x86_64 Fedora Updates
python2-uwsgidecorators - - -

Requires

Name Value
python(abi) = 2.7
uwsgi = 2.0.17.1-5.fc28
uwsgi-plugin-python2 = 2.0.17.1-5.fc28

Provides

Name Value
python2-uwsgidecorators = 2.0.17.1-5.fc28
python2-uwsgidecorators(x86-32) = 2.0.17.1-5.fc28

Obsoletes

Name Value
python-uwsgidecorators < 2.0.16-4

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package python2-uwsgidecorators-2.0.17.1-5.fc28.i686.rpm
Source Package uwsgi-2.0.17.1-5.fc28.src.rpm

Install Howto

Install python2-uwsgidecorators rpm package:

# dnf install python2-uwsgidecorators

Files

Path
/usr/lib/python2.7/site-packages/uwsgidecorators.py
/usr/lib/python2.7/site-packages/uwsgidecorators.pyc
/usr/lib/python2.7/site-packages/uwsgidecorators.pyo

Changelog

2018-11-02 - Carl George <carl@george.computer> - 2.0.17.1-5
- Don't build python2-uwsgidecorators on F30+
- BuildRequire mongo-cxx-driver-legacy-devel on F30+
2018-09-12 - Carl George <carl@george.computer> - 2.0.17.1-4
- Drop mod_proxy_uwsgi subpackage on Fedora, as this module now provided by httpd rhbz#1574335
2018-07-14 - Tadej Janež <tadej.j@nez.si> - 2.0.17.1-3
- Re-enable greenlet plugin on EL7:
- Python 3 version is always built
- Python 2 version is only built on x86_64
2018-07-12 - Carl George <carl@george.computer> - 2.0.17.1-2
- Make python2-uwsgidecorators own the right files (rhbz#1600721)
- Be more explicit with uwsgidecorators files
2018-07-09 - Carl George <carl@george.computer> - 2.0.17.1-1
- Latest upstream (rhbz#1549354)
- Enable uwsgi-plugin-coroae on EL7
- Use systemd tmpfiles to create /run/uwsgi with group write permissions (rhbz#1427303)
- Use /var/run/uwsgi when not using systemd
- Build with versioned python command
- Remove %config from systemd unit file
- Disable greenlet plugin on EL7
2018-07-03 - Petr Pisar <ppisar@redhat.com> - 2.0.16-7
- Perl 5.28 rebuild
2018-06-29 - Jitka Plesnikova <jplesnik@redhat.com> - 2.0.16-6
- Perl 5.28 rebuild
2018-06-27 - Tadej Janež <tadej.j@nez.si> - 2.0.16-5
- Build Python 3 version(s) of gevent plugin on Fedora and EPEL7
- Build Python 3 version of greenlet plugin on Fedora and EPEL7
- Build Python 2 version of greenlet plugin on EPEL7
- Always build Python 3 version of tornado plugin when building with Python 3
(drop python3_tornado build conditional)
2018-06-26 - Tadej Janež <tadej.j@nez.si> - 2.0.16-4
- Modernize and generalize building of Python subpackages:
- replace python with python2
- use appropriate macros for when refering to Python 3
- prefix Python-dependent plugins with the version of Python they are built
with
- Also build Python 3 subpackages for the other Python 3 version in EPEL7
2018-06-19 - Miro Hrončok <mhroncok@redhat.com> - 2.0.16-3
- Rebuilt for Python 3.7

See Also

Package Description
python2-v8-6.7.17-7.fc28.i686.rpm Python libraries from v8
python2-vcstool-0.1.39-1.fc28.noarch.rpm Tool to invoke vcs commands on multiple repositories
python2-vips-8.6.5-3.fc28.i686.rpm Python 2 support for vips
python2-virtualenv-16.0.0-4.fc28.noarch.rpm Tool to create isolated Python environments
python2-visionegg-quest-1.1-2.fc28.noarch.rpm QUEST algorithm for finding threshold
python2-visvis-1.11.1-3.fc28.noarch.rpm Python library for visualization of 1D to 4D data in an object oriented way
python2-volume_key-0.3.12-2.fc28.i686.rpm Python bindings for libvolume_key
python2-voluptuous-0.11.5-1.fc28.noarch.rpm A Python data validation library
python2-weasyprint-0.22-14.fc28.noarch.rpm Python library to render HTML and CSS to PDF
python2-wheel-0.30.0a0-9.fc28.noarch.rpm A built-package format for Python
python2-whisper-1.1.3-1.fc28.noarch.rpm Whisper is a file-based time-series database format for Graphite
python2-whitenoise-3.3.1-1.fc28.noarch.rpm Static file serving for Python web apps
python2-whitenoise-doc-3.3.1-1.fc28.noarch.rpm Documentation for the Python Whitenoise module
python2-wikitcms-2.4.2-1.fc28.noarch.rpm Fedora QA wiki test management Python library
python2-winrm-0.3.0-1.fc28.noarch.rpm Python libraries for interacting with windows remote management
Advertisement
Advertisement